# Commit prefix regexes
type:Compiler:
  title: "^COMP:.*"

type:Bug:
  title: "^BUG:.*"

type:Documentation:
  title: "^DOC:.*"

type:Enhancement:
  title: "^ENH:.*"

type:Performance:
  title: "^PERF:.*"

type:Style:
  title: "^STYLE:.*"

type:Coverage:
  title: "coverage"

type:Design:
  title: "design"

# Filename regexes
area:Bridge:
  files:
    - "Modules/Bridge/*"

area:Core:
  files:
    - "Modules/Core/*"

area:Documentation:
  files:
    - "Documentation/*"
    - "Utilities/Doxygen/*"

area:Examples:
  files:
    - "Examples/*"

area:Filtering:
  files:
    - "Modules/Filtering/*"

area:IO:
  files:
    - "Modules/IO/*"

area:Numerics:
  files:
    - "Modules/Numerics/*"

area:Nonunit:
  files:
    - "src/Nonunit/*"

area:Python wrapping:
  files:
    - "Modules/Generators/Python/*"
    - "Modules/.*/wrapping/*"
    - ".*.notwrapped"
    - ".*.py.*"
    - ".*.wrap"

area:Registration:
  files:
    - "Modules/Registration/*"

area:Remotes:
  files:
    - "Modules/Remote/*"

area:Segmentation:
  files:
    - "Modules/Segmentation/*"

area:ThirdParty:
  files:
    - "Modules/ThirdParty/*"

area:Video:
  files:
    - "Modules/Video/*"

type:Data:
  files:
    - ".*.jpeg"
    - ".*.jpg"
    - ".*.md5"
    - ".*.png"
    - ".*.sha512"

type:Testing:
  files:
    - "Testing/*"
    - ".*Test.*.cxx"
    - ".*Test.*.h.*"
    - ".*Test.*.py"

type:Infrastructure:
  files:
    - ".github/*"
    - "CMake/*"
    - "Testing/ContinuousIntegration/*"
    - "Utilities/*"
